Summary:   VESA CVT standard timing modelines generator
Name:      libxcvt
Version:   0.1.2
Release:   5%{?dist}
URL:       https://gitlab.freedesktop.org/xorg/lib/libxcvt/
Source0:   https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.xz
License:   MIT

BuildRequires: gcc meson git-core

%description
libxcvt is a library providing a standalone version of the X server
implementation of the VESA CVT standard timing modelines generator.


%package devel
Summary: Development package
Requires: pkgconfig libxcvt

%description devel
The libxcvt-devel package contains libraries and header files for
developing applications that use libxcvt.


%package -n cvt
Summary: Command line tool to calculate VESA CVT mode lines

%description -n cvt
A standalone version of the command line tool cvt copied from the Xorg
implementation and is meant to be a direct replacement to the version
provided by the Xorg server.


%prep
%autosetup -S git_am -n %{name}-%{version}


%build
%meson
%meson_build


%install
%meson_install


%files
%doc COPYING
%{_libdir}/libxcvt.so.*


%files devel
%{_libdir}/pkgconfig/libxcvt.pc
%dir %{_includedir}/libxcvt
%{_includedir}/libxcvt/*.h
%{_libdir}/libxcvt.so


%files -n cvt
%{_bindir}/cvt
%{_mandir}/man1/cvt.1*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.2-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.2-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.2-3
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 05 2022 rockerzhu <rockerzhu@tencent.com> - 0.1.2-2
- add requires to libxcvt for libxcvt-devel

* Wed Nov 16 2022 rockerzhu <rockerzhu@tencent.com> - 0.1.2-1
- Initial build
